Users are end consumers of subscriptions. Users can have multiple devices, SIMs, and subscriptions.
Type of object is always user.
user Unique identifier for the user.
"usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"The birthday of the user.
"2017-07-21"Time when the user was created.
"2021-01-21T19:38:34Z"The primary email address of the user. Must be unique across all users.
"jerry@example.com"Whether the user's primary email address is verified or not.
trueThe user's full name. Required for some Plans.
"Jerry Seinfeld"The user's locale preference represented as an IETF language tag.
"en-US"The current status of the user.
active blocked deleted {
"object": "user",
"id": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d",
"metadata": {},
"birthday": "2017-07-21",
"createdAt": "2021-01-21T19:38:34.0Z",
"email": "jerry@example.com",
"emailVerified": true,
"fullName": "Jerry Seinfeld",
"preferredLocale": "en-US",
"status": "active"
}
Returns a list of users. The users returned are sorted by creation date, with the most recently created users appearing first.
A cursor for use in pagination. The after parameter takes an object ID that defines the position in the list, only items immediately following the item with that ID will be returned.
A cursor for use in pagination. The before parameter takes an object ID that defines the position in the list, only items immediately preceding the item with that ID will be returned.
The limit of items to be returned in the list, between 0 and 200.
2010>= 0<= 200Returns a dictionary with an items property that contains an array of user objects.
Type of object is always list.
list user.A unique identifier to be used as after pagination parameter if more items are available sorted after the current batch of items.
A unique identifier to be used as before pagination parameter if more items are available sorted before the current batch of items.
curl https://api.gigs.com/projects/${GIGS_PROJECT}/users \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "list",
"items": [
{
"object": "user",
"id": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d",
"metadata": {},
"birthday": "2017-07-21",
"createdAt": "2021-01-21T19:38:34Z",
"email": "jerry@example.com",
"emailVerified": true,
"fullName": "Jerry Seinfeld",
"preferredLocale": "en-US",
"status": "active"
}
],
"moreItemsAfter": null,
"moreItemsBefore": null
}
Creates a new user with the given parameters.
The birthday of the user.
"2017-07-21"The primary verified email address of the user.
"jerry@example.com"The user's full name. Some plans require the user name to be present when creating a subscription. Check the plan requirements for that.
"Jerry Seinfeld"The user's locale preference represented as an IETF language tag. It defaults to the project's preferred locale.
"en-US"Returns the created user.
Type of object is always user.
user Unique identifier for the user.
"usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"The birthday of the user.
"2017-07-21"Time when the user was created.
"2021-01-21T19:38:34Z"The primary email address of the user. Must be unique across all users.
"jerry@example.com"Whether the user's primary email address is verified or not.
trueThe user's full name. Required for some Plans.
"Jerry Seinfeld"The user's locale preference represented as an IETF language tag.
"en-US"The current status of the user.
active blocked deleted curl https://api.gigs.com/projects/${GIGS_PROJECT}/users \
-X POST \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json" \
-d '{
"birthday": "2017-07-21",
"email": "jerry@example.com",
"fullName": "Jerry Seinfeld",
"metadata": {},
"preferredLocale": "en-US"
}'
{
"object": "user",
"id": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d",
"metadata": {},
"birthday": "2017-07-21",
"createdAt": "2021-01-21T19:38:34Z",
"email": "jerry@example.com",
"emailVerified": true,
"fullName": "Jerry Seinfeld",
"preferredLocale": "en-US",
"status": "active"
}
Retrieves the details of an existing user. You need only supply the unique user identifier that was returned upon user creation.
Returns the user object if the user exists.
Type of object is always user.
user Unique identifier for the user.
"usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"The birthday of the user.
"2017-07-21"Time when the user was created.
"2021-01-21T19:38:34Z"The primary email address of the user. Must be unique across all users.
"jerry@example.com"Whether the user's primary email address is verified or not.
trueThe user's full name. Required for some Plans.
"Jerry Seinfeld"The user's locale preference represented as an IETF language tag.
"en-US"The current status of the user.
active blocked deleted curl https://api.gigs.com/projects/${GIGS_PROJECT}/users/{user} \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "user",
"id": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d",
"metadata": {},
"birthday": "2017-07-21",
"createdAt": "2021-01-21T19:38:34Z",
"email": "jerry@example.com",
"emailVerified": true,
"fullName": "Jerry Seinfeld",
"preferredLocale": "en-US",
"status": "active"
}
Retrieves the details of an existing user and deletes it.
Returns the user after a successful deletion.
Type of object is always user.
user Unique identifier for the user.
"usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"The birthday of the user.
"2017-07-21"Time when the user was created.
"2021-01-21T19:38:34Z"The primary email address of the user. Must be unique across all users.
"jerry@example.com"Whether the user's primary email address is verified or not.
trueThe user's full name. Required for some Plans.
"Jerry Seinfeld"The user's locale preference represented as an IETF language tag.
"en-US"The current status of the user.
active blocked deleted curl https://api.gigs.com/projects/${GIGS_PROJECT}/users/{user} \
-X DELETE \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "user",
"id": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d",
"metadata": {},
"birthday": "2017-07-21",
"createdAt": "2021-01-21T19:38:34Z",
"email": "jerry@example.com",
"emailVerified": true,
"fullName": "Jerry Seinfeld",
"preferredLocale": "en-US",
"status": "active"
}
Updates the specified user by setting the values of the parameters passed.
The birthday of the user.
"2017-07-21"The primary verified email address of the user.
"jerry@example.com"The user's full name. Required for some Plans.
"Jerry Seinfeld"The user's locale preference represented as an IETF language tag.
"en-US"Returns the updated user.
Type of object is always user.
user Unique identifier for the user.
"usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"The birthday of the user.
"2017-07-21"Time when the user was created.
"2021-01-21T19:38:34Z"The primary email address of the user. Must be unique across all users.
"jerry@example.com"Whether the user's primary email address is verified or not.
trueThe user's full name. Required for some Plans.
"Jerry Seinfeld"The user's locale preference represented as an IETF language tag.
"en-US"The current status of the user.
active blocked deleted curl https://api.gigs.com/projects/${GIGS_PROJECT}/users/{user} \
-X PATCH \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json" \
-d '{
"birthday": "2017-07-21",
"email": "jerry@example.com",
"fullName": "Jerry Seinfeld",
"metadata": {},
"preferredLocale": "en-US"
}'
{
"object": "user",
"id": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d",
"metadata": {},
"birthday": "2017-07-21",
"createdAt": "2021-01-21T19:38:34Z",
"email": "jerry@example.com",
"emailVerified": true,
"fullName": "Jerry Seinfeld",
"preferredLocale": "en-US",
"status": "active"
}
Searches for existing users matching the given parameters.
The primary email address of the user.
"jerry@example.com"Returns the users matching the search criteria.
Type of object is always list.
list user.A unique identifier to be used as after pagination parameter if more items are available sorted after the current batch of items.
A unique identifier to be used as before pagination parameter if more items are available sorted before the current batch of items.
curl https://api.gigs.com/projects/${GIGS_PROJECT}/users/search \
-X POST \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json" \
-d '{
"email": "jerry@example.com"
}'
{
"object": "list",
"items": [
{
"object": "user",
"id": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d",
"metadata": {},
"birthday": "2017-07-21",
"createdAt": "2021-01-21T19:38:34Z",
"email": "jerry@example.com",
"emailVerified": true,
"fullName": "Jerry Seinfeld",
"preferredLocale": "en-US",
"status": "active"
}
],
"moreItemsAfter": null,
"moreItemsBefore": null
}